Page MenuHomePhabricator

Integrate table_properties utility's tests into CI
Open, NormalPublic

Description

All tests, linters, code formatters, etc that exist within the table_properties repo should be executed by the CI pipeline on code review submission

Completion criteria:

All applicable tests, linters, formatters, and code analysis tools are executed by the WMF CI pipeline upon submission of a Gerrit code-review. Successful invocations result in a bot generated "verified +2" of the corresponding code-review, failures a "verified -1".

NOTE: This task implicitly depends upon T226556: Relocate MVP table_properties util repo from Github to Gerrit (the WMF pipeline does not operate on Github repositories)

Event Timeline

Eevans updated the task description. (Show Details)Jul 5 2019, 3:13 PM
holger.knust closed this task as Resolved.Jul 12 2019, 12:32 PM
holger.knust triaged this task as Normal priority.
Eevans reopened this task as Open.Jul 12 2019, 2:41 PM

This can't be done, it's dependent on moving the project to Gerrit.

Eevans updated the task description. (Show Details)Jul 12 2019, 5:46 PM
WDoranWMF moved this task from mop to remove cpt on the Core Platform Team board.Jul 26 2019, 6:29 PM
WDoranWMF removed a project: Core Platform Team.